# Class IgnoreIfEmptyXmlComponent`Abstract`

#### Hierarchy

- XmlComponent
  - IgnoreIfEmptyXmlComponent
    - Border
    - ParagraphProperties
    - RunProperties
    - TableCellBorders
    - TableProperties
    - TableRowProperties
    - PageBorders

- Defined in src/file/xml-components/xml-component.ts:52

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new IgnoreIfEmptyXmlComponent(rootKey): IgnoreIfEmptyXmlComponent

- #### Parameters

  - ##### rootKey: string

  #### Returns IgnoreIfEmptyXmlComponent

  Inherited from XmlComponent.constructor

  - Defined in src/file/xml-components/xml-component.ts:10

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:53

Generated using TypeDoc